ReferenceAPI Reference
A P I Keys
User and agent API key management
List API keys
AuthorizationBearer <token>
Supabase JWT token. Use Authorization: Bearer <jwt>. Only for JWT tokens from Supabase auth - do NOT use Bearer with API keys.
In: header
Response Body
application/json
application/json
curl -X GET "https://api.arke.institute/users/me/keys"{
"keys": [
{
"key_prefix": "uk_xKj9",
"label": "Production",
"created_at": "2025-12-28T00:00:00.000Z",
"expires_at": "2026-03-28T00:00:00.000Z",
"last_used_at": "2025-12-28T10:30:00.000Z"
}
]
}{
"error": "Unauthorized: Missing or invalid authentication token"
}Create API key
AuthorizationBearer <token>
Supabase JWT token. Use Authorization: Bearer <jwt>. Only for JWT tokens from Supabase auth - do NOT use Bearer with API keys.
In: header
Request Body
application/json
label?string
Human-readable label for the key
Length
length <= 100expires_in?integer
Time until expiration in seconds (default: 90 days, max: 365 days)
Range
0 <= value <= 31536000Response Body
application/json
application/json
curl -X POST "https://api.arke.institute/users/me/keys" \ -H "Content-Type: application/json" \ -d '{}'{
"key": "uk_xKj92mNpQrStUvWxYz1234567890abcdef1234567890abcdef12345678",
"key_prefix": "uk_xKj9",
"expires_at": "2026-03-28T00:00:00.000Z"
}{
"error": "Unauthorized: Missing or invalid authentication token"
}Revoke API key
AuthorizationBearer <token>
Supabase JWT token. Use Authorization: Bearer <jwt>. Only for JWT tokens from Supabase auth - do NOT use Bearer with API keys.
In: header
Path Parameters
prefix*string
API key prefix (e.g., uk_xKj9)
Length
4 <= length <= 12Response Body
application/json
application/json
curl -X DELETE "https://api.arke.institute/users/me/keys/uk_xKj9"Empty
{
"error": "Unauthorized: Missing or invalid authentication token"
}{
"error": "Entity not found"
}